# Copyright 2022 Apex.AI, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from enum import Enum


class TRANSPORT(str, Enum):
    INTRA = "INTRA"
    UDP = "UDP"
    SHMEM = "SHMEM"
    ZERO_COPY = "ZERO_COPY"

    def __str__(self):
        if self == TRANSPORT.INTRA:
            return "intra"
        if self == TRANSPORT.UDP:
            return "udp"
        if self == TRANSPORT.SHMEM:
            return "shmem"
        if self == TRANSPORT.ZERO_COPY:
            return "zc"
